/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { NativeUIContainer } from "./NativeUIContainer";
import { markType } from "./type";
/**
 * @hidden
 */
var NativeUIColumn = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(NativeUIColumn, _super);
    function NativeUIColumn() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    NativeUIColumn.prototype.get_e = function () {
        return 11;
    };
    Object.defineProperty(NativeUIColumn.prototype, "a5", {
        get: function () {
            return this.d;
        },
        enumerable: true,
        configurable: true
    });
    NativeUIColumn.$t = markType(NativeUIColumn, 'NativeUIColumn', NativeUIContainer.$);
    return NativeUIColumn;
}(NativeUIContainer));
export { NativeUIColumn };
